Skip to main content
POST
/
v1
/
machines
/
{machine_id}
/
terminals
Create terminal
curl --request POST \
  --url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/terminals \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "height": 123,
  "width": 123,
  "cwd": "<string>",
  "env": {},
  "shell": "<string>"
}
'
{ "created_at": "2023-11-07T05:31:56Z", "height": 123, "machine_id": "<string>", "terminal_id": "<string>", "width": 123, "error_code": "<string>", "error_message": "<string>", "expires_at": "2023-11-07T05:31:56Z", "ready_at": "2023-11-07T05:31:56Z", "retry_after_ms": 123, "stream_url": "<string>" }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string
Idempotency-Key
string
required

Path Parameters

machine_id
string
required
Required string length: 4 - 253
Pattern: ^dm-[a-z0-9]([a-z0-9-]*[a-z0-9])?$

Body

application/json
height
integer<int64>
required
width
integer<int64>
required
cwd
string
env
object
shell
string

Response

OK

created_at
string<date-time>
required
height
integer<int64>
required
machine_id
string
required
status
enum<string>
required
Available options:
wake_in_progress,
ready,
closed,
expired,
failed
terminal_id
string
required
width
integer<int64>
required
error_code
string
error_message
string
expires_at
string<date-time>
protocol
enum<string>
Available options:
websocket
ready_at
string<date-time>
retry_after_ms
integer<int64>
stream_url
string
Last modified on May 29, 2026